apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "id-webapp.fullname" . }}-worker
  labels:
    app.kubernetes.io/name: {{ include "id-webapp.name" . }}
    helm.sh/chart: {{ include "id-webapp.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.introspectdev.io/role: worker
spec:
  replicas: {{ .Values.worker.replicaCount }}
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ include "id-webapp.name" . }}
      app.kubernetes.io/instance: {{ .Release.Name }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "id-webapp.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
    spec:
      containers:
        - name: {{ .Chart.Name }}-worker
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          args:
            {{- range .Values.worker.args }}
            - {{ . | quote }}
            {{- end }}
          envFrom:
            - configMapRef:
                name: {{ include "id-webapp.fullname" . }}
            - secretRef:
                name: {{ include "id-webapp.fullname" . }}
{{- if .Values.worker.celery_check }}
          readinessProbe:
            exec:
              command:
                {{- range .Values.celery_check }}
                - {{ . | quote }}
                {{- end }}
              initialDelaySeconds: 30
              periodSeconds: 10
{{- end }}
          resources:
            {{- toYaml .Values.worker.resources | nindent 12 }}
      {{- with .Values.worker.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.worker.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.worker.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
